WebSite X5Help Center

 
Chris F.
Chris F.
User

Captcha not working in Version 2019.2  en

Autor: Chris F.
Visitado 1002, Followers 1, Compartido 0  

A Visitor to SignallingWA has advised me that the Captcha letters are not appearing on the e-mail forms on the site. Please see the attached image.

I am using WebSiteX5 Evo Version: 2019.2.7 (64 bit) - Has anyone else experienced this, and know how to fix it?

Thanks in advance.

Chris.

Publicado en
8 RESPUESTAS - 2 úTIL
Aleksej H.
Aleksej H.
Moderator

Hello. Check that the version of PHP on the hosting was 7.1 or 7.2. Try to reload the entire site to the hosting completely, after removing all the site files from the hosting. Check the server logs and make sure that the hosting does not block any requests for your site.

Leer más
Publicado en de Aleksej H.
Chris F.
Chris F.
User
Autor

Hi, I have checked with my Hosting company and they support up to PHP 7.2. They are also not blocking anything on my website.

I have uloaded the entire site but this has not resolved the issue. 

Any further suggestions will be most welcome.

Leer más
Publicado en de Chris F.
Paul M.
Paul M.
Moderator

Hello Chris,

Something is indeed interfering with the display of your captcha on the server side.  Unfortunately only your webhost will be able to assist you in correcting this.  Try visiting this link:

http://www.sigwa.info/captcha/x5captcha.php

The HTTP Error 500 means that the problem is on your webhosting/server side, and is nothing to do with WebSite X5 as such.  WebSite X5 requires the server to be configured correctly before certain features such as the captcha will work.

Everything points to a PHP error.  Although your webhost may support up to PHP 7.2 you need to ensure that you are definitely running a version greater than PHP 5.6 on your own particular website.  They can help confirm this for you, else you can usually check this yourself in cPanel.

You should also check that no server restrictions have been placed on the 'captcha' folder within the root folder of your WebSite X5 project.  For example, due to an incorrectly configured .htaccess file, or erroneous file/folder permissions.  Again, your webhost can help check this for you.  Public access to the captcha folder is currently blocked by your server.

http://www.sigwa.info/captcha/

Who do you host with?

Ask your webhost to check the error logs on your server as there will almost certainly be information there as to what is causing the problem.

Kind regards,

Paul

Search the WebSite X5 Help Center (multilingual)

Leer más
Publicado en de Paul M.
Chris F.
Chris F.
User
Autor

Hi Paul,

Thanks for your feedback. This is frustrating. The Hosting company I use is Westnet.com.au who I have been with for many years. They say that they support PHP 5.5.38; 5.6.40; 7.0.33 and 7.2.18.

I have tried to upload my site again tonight and am now getting the attached error message.

I would like to get this working again, but if all fails would it work better in Website X5 Professional 13 which I also have?

Cheers,

Chris. F.

Leer más
Publicado en de Chris F.
Paul M.
Paul M.
Moderator

Your error message is self-explanatory and shows the precise reason for the failure, Chris.

WebSite X5 version 2019.2 requires a minimum of PHP version 5.6 to work correctly, but currently you have PHP version 5.3 installed on the server.  The newer scripts in WebSite X5 are not compatible with the older version of PHP.

This is very easy to rectify, given that your webhost has confirmed that they support PHP up to 7.2  -  however, you will have to ask them to effect the change for you.

This is because the working version of PHP is selected on a 'per site' basis.  Even though your host supports several PHP versions, only one of them can be used with your WebSite X5 site at any time.

Yes, Professional 13 would probably work without making any server changes (as it used older PHP scripts); however, this is not a 'fix'.  It's good practice to always use the most current software available, and with respect to PHP you should use the newest version your webhost offers which is compatible with WebSite X5 (in this case that is version 7.2)  -  doing so will keep your site secure and running efficiently.

Leer más
Publicado en de Paul M.
Aleksej H.
Aleksej H.
Moderator

Turn on PHP 7.2.

Leer más
Publicado en de Aleksej H.
Chris F.
Chris F.
User
Autor

Hi Paul M. and Aleksej H.,

Thanks for your advice.

I have contacted the Hosting company and they have rectified the problem.

The site is now working again.

Thanks again for your support.

Chris. F.

Leer más
Publicado en de Chris F.
Aleksej H.
Aleksej H.
Moderator

I am glad that your problem is solved.

Leer más
Publicado en de Aleksej H.